% !TeX spellcheck = en_US
\documentclass[aspectratio=169]{beamer}
%
% Choose how your presentation looks.
%
% For more themes, color themes and font themes, see:
% http://deic.uab.es/~iblanes/beamer_gallery/index_by_theme.html
%
\mode<presentation>
%\mode<article>
{
  \usetheme{default}      % or try Darmstadt, Madrid, Warsaw, ...
  %\usecolortheme{default} % or try albatross, beaver, crane, ...
  \usecolortheme{seahorse}
  \usefonttheme{default}  % or try serif, structurebold, ...
  \setbeamertemplate{navigation symbols}{}
  \setbeamertemplate{caption}[numbered]
  \setbeamersize{text margin left=2.5mm,text margin right=2.5mm}
  
  % background color
  \setbeamercolor{background canvas}{bg=white}
%  \setbeamercolor{block title}{bg=gray!30,fg=black}
  
  
}

\usepackage{mathcommand}         % define macros for math environment via \(re)newmathcommand
\usepackage{math_shortcuts}      % nb personal package (mainly for mathematical writing)

\usefonttheme[onlymath]{serif}

\usepackage[english]{babel}
%\decimalpoint

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}

\usepackage{pgfplots}
\usepackage{tikz}
\usepackage{tikz-3dplot}
\usetikzlibrary{babel}
\usepackage{pgfplotstable}
%\pgfkeys{/pgf/number format/.cd,fixed,fixed zerofill,precision=2,set thousands separator={}}

\usepackage{datetime}           % date customization


\usepackage{amsmath}

\usepackage{caption}
\usepackage{subcaption}

\usepackage[ruled]{algorithm2e}
%\usepackage{algorithm2e}

\usepackage{multimedia}
\usepackage{hyperref}

\usepackage{pdfpc-movie}

%\usepackage{enumitem}

\usepackage{booktabs}

\usepackage{empheq}
\usepackage[many]{tcolorbox}
\usepackage{fancybox}

\setcounter{tocdepth}{4}

%\title{Una metodología biológicamente inspirada para la optimización de mallas en problemas de interacción fluido-estructura}
\title{A biologically-inspired methodology for mesh optimization in fluid-structure interaction problems}
%\subtitle{Defensa Tesis Doctoral}

\institute{\large National University of Mar del Plata \\ Faculty of Engineering}
%\institute{\includegraphics[width=0.2\textwidth]{example-image-golden}}


\author{\Large \textbf{Nicolás Biocca}\\\Large \textbf{Santiago Urquiza}}

\date{\formatdate{01}{04}{2022}}

% hyperref seupt
\hypersetup{
    colorlinks=true,
    urlcolor=blue,
    pdfauthor=Nicolás Biocca,
    pdfsubject=BIMO presenteation,
    pdfkeywords={Mesh Moving Methods, Mesh Optimization, BIMO, Finite Strain, Mesh Relaxation, G\&R}
}


% logo of my university
\iffalse
\titlegraphic{
    \includegraphics[scale=0.4]{img/logoFI.png}
    \hspace*{1.0cm}
    \includegraphics[width=2.5cm]{img/logoUNMDP.png}
}
\fi

%
% Blind footnote (no marker)
% reference: https://tex.stackexchange.com/a/30726
%
\newcommand\blfootnote[1]{%
    \begingroup
    \renewcommand\thefootnote{}\footnote{#1}%
    \addtocounter{footnote}{-1}%
    \endgroup
}


%\newcommand{\pder}[2]{\frac{\partial #1}{\partial #2} }

\providecommand{\e}[1]{\ensuremath{\cdot 10^{#1}}}


%
% how to insert page number. ref: https://tex.stackexchange.com/questions/137022/how-to-insert-page-number-in-beamer-navigation-symbols
%
\iffalse
\addtobeamertemplate{navigation symbols}{}{%
    \usebeamerfont{footline}%
    \usebeamercolor[fg]{footline}%
    \hspace{1em}%
    \insertframenumber/\inserttotalframenumber
}
\fi


\setbeamertemplate{itemize items}[circle]
\setbeamertemplate{footline}[frame number]
\setbeamercolor{footline}{fg=gray}
\setbeamerfont{footline}{series=\bfseries}

\setbeamercolor{alerted text}{fg=black}
\setbeamerfont{alerted text}{series=\bfseries}


%
% Title page customization
%
\input{src/part00_title_page/title_page.tex}


\begin{document}


\begin{frame}[plain]
  \titlepage
\end{frame}

\iffalse
\begin{frame}{Outline}
    \begin{columns}
        \column[t]{0.5\textwidth}
        \tableofcontents[sections = 1-3]
        
        \column[t]{0.5\textwidth}
        \tableofcontents[sections = 4-7]
    \end{columns}
    
\end{frame}
\fi

% Part I: motivation
\input{src/part01_motivation/motivation.tex} 

% Part II: mesh moving methods
\input{src/part02_mesh_moving_methods/mesh_moving_methods.tex}


% Parte III: Optimizacion de mallas - MWEs
\input{src/part03_optimization/optimization.tex}

% Parte IV: Movimiento de mallas - ejemplos prácticos
\input{src/part04_mesh_motion_examples/mesh_motion_examples.tex}

% Parte V: Movimientos cíclicos
\input{src/part05_mesh_motion_cyclic/cyclic_motions.tex}

% Parte VI: Problemas de aplicación
\input{src/part06_mesh_motion_applications/applications.tex}

% Parte VII: Conclusiones y Trabajo Futuro
\input{src/part07_conclusions/conclusions.tex}

%
%
% END PRESENTATION
% END PRESENTATION 
%
%

\end{document}
